%define momorel 1

Summary: LZO - a real-time data compression library
Name: lzo
Version: 1.08
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://www.oberhumer.com/opensource/lzo/

%NoSource 0 http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz ab94d3da364c7cbd5b78d76f1875b0f6

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: nasm

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *extremly* fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%package devel
Summary: Development libraries, header files for lzo
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries, Header files for LZO.

%prep
%setup -q
%build
%configure \
	--enable-shared \
	--enable-asm

%make

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ doc/LZO.TXT
%doc doc/LZOAPI.TXT
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a

%changelog
* Fri Oct 24 2003 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.08-1m)
- first release for momonga

